> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cards for Dataset

> Retrieves a list of cards associated with a dataset. Includes drill paths for cards if drill is set to true



## OpenAPI

````yaml /openapi/product/data-sets.yaml get /api/content/v1/datasources/{datasetId}/cards
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/content/v1/datasources/{datasetId}/cards:
    get:
      tags:
        - Datasets API
      summary: Get Cards for Dataset
      description: >-
        Retrieves a list of cards associated with a dataset. Includes drill
        paths for cards if drill is set to true
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
        - name: drill
          in: query
          description: Whether to include drill paths
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: List of cards
          content:
            application/json:
              example:
                - id: 93905300
                  urn: '93905300'
                  type: kpi
                  chartType: badge_xyscatterplot
                  title: Page Views by User
                  ownerId: 587894148
                  owners:
                    - id: '587894148'
                      type: USER
                      displayName: Bryan Van Kampen
                  access: true
                  datasourceId: 61c4e63d-0627-41f7-b138-74968ebd7634
                - id: 100292082
                  urn: '100292082'
                  type: kpi
                  chartType: badge_vert_bar
                  title: DataFlow Creation
                  ownerId: 1893952720
                  owners:
                    - id: '1893952720'
                      type: USER
                      displayName: Jae Wilson
                  access: true
                  datasourceId: 61c4e63d-0627-41f7-b138-74968ebd7634
      x-codeSamples:
        - lang: HTTP
          source: >
            GET /api/content/v1/datasources/{datasetId}/cards?drill=true
            HTTP/1.1

            Host: {instance}.domo.com

            X-DOMO-Developer-Token: {token}
components:
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````